using ColossalFramework.Plugins;
using UnityEngine;

namespace MyBalanceOfPower
{
	internal static class Log
	{
		private const string Prefix = "[MyBalanceOfPower] ";

		public static void Message(string text)
		{
			//DebugOutputPanel.AddMessage(PluginManager.MessageType.Message, Prefix + text);
			Debug.Log(Prefix + text);
		}

		public static void Warning(string text)
		{
			//DebugOutputPanel.AddMessage(PluginManager.MessageType.Warning, Prefix + text);
			Debug.LogWarning(Prefix + text);
		}

		public static void Error(string text)
		{
			//DebugOutputPanel.AddMessage(PluginManager.MessageType.Error, Prefix + text);
			Debug.LogError(Prefix + text);
		}
	}
}