using System;

namespace ${namespace}
{
	/// <summary>
	/// The building stats customizer class.
	/// </summary>
	public static class Rebuilder
	{
		/// <summary>
		/// Modifies stats for a building.
		/// </summary>
		/// <param name="name">The name of the building.</param>
		/// <param name="localizedName">The (possibly) localized name of the building.</param>
		/// <param name="plant">The AI object for the building.</param>
		public static void Modify(string name, string localizedName, PowerPlantAI plant)
		{
			${modifyPowerPlants}
		}

		/// <summary>
		/// Modifies stats for a dam.
		/// </summary>
		/// <param name="name">The name of the dam.</param>
		/// <param name="localizedName">The (possibly) localized name of the dam.</param>
		/// <param name="plant">The AI object for the dam.</param>
		public static void Modify(string name, string localizedName, DamAI dam)
		{
			${modifyDam}
		}
	}
}